Error installing odepkg 0.8.2 in octave 3.4.3

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Error installing odepkg 0.8.2 in octave 3.4.3

MichaelClerx
The result looks like this:

octave:1> pkg install ~/dev/odepkg-0.8.2
./configure: line 2748: /usr/bin/mkoctfile-3.4.3: No such file or directory
configure: error: Could not run /usr/bin/mkoctfile-3.4.3
the configure script returned the following error: checking for gcc... gcc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking for mkoctfile... /usr/bin/mkoctfile-3.4.3
error: called from `pkg>configure_make' in file /usr/share/octave/3.4.3/m/pkg/pkg.m near line 1326, column 9
error: called from:
error:   /usr/share/octave/3.4.3/m/pkg/pkg.m at line 789, column 5
error:   /usr/share/octave/3.4.3/m/pkg/pkg.m at line 361, column 9


Any suggestions?
Reply | Threaded
Open this post in threaded view
|

Re: Error installing odepkg 0.8.2 in octave 3.4.3

Carnë Draug-2
On 26 April 2012 20:32, MichaelClerx <[hidden email]> wrote:

> The result looks like this:
>
> octave:1> pkg install ~/dev/odepkg-0.8.2
> ./configure: line 2748: /usr/bin/mkoctfile-3.4.3: No such file or directory
> configure: error: Could not run /usr/bin/mkoctfile-3.4.3
> the configure script returned the following error: checking for gcc... gcc
> checking for C compiler default output file name... a.out
> checking whether the C compiler works... yes
> checking whether we are cross compiling... no
> checking for suffix of executables...
> checking for suffix of object files... o
> checking whether we are using the GNU C compiler... yes
> checking whether gcc accepts -g... yes
> checking for gcc option to accept ISO C89... none needed
> checking for mkoctfile... /usr/bin/mkoctfile-3.4.3
> error: called from `pkg>configure_make' in file
> /usr/share/octave/3.4.3/m/pkg/pkg.m near line 1326, column 9
> error: called from:
> error:   /usr/share/octave/3.4.3/m/pkg/pkg.m at line 789, column 5
> error:   /usr/share/octave/3.4.3/m/pkg/pkg.m at line 361, column 9
>
>
> Any suggestions?

What distro are you using? Did yo compile octave yourself? If you
didn't did you install the octave-headers package? Also, if you are
using the octave version that's in the repo, did you look if they have
the package there as well?

Carnë
_______________________________________________
Help-octave mailing list
[hidden email]
https://mailman.cae.wisc.edu/listinfo/help-octave
Reply | Threaded
Open this post in threaded view
|

Re: Error installing odepkg 0.8.2 in octave 3.4.3

MichaelClerx
Carnë Draug-2 wrote
What distro are you using? Did yo compile octave yourself? If you
didn't did you install the octave-headers package? Also, if you are
using the octave version that's in the repo, did you look if they have
the package there as well?
Thanks! I completely forgot about the headers package (or octave-devel in my case: Fedora 16). It works fine now, sorry for the noob question :)